--
-- Initialization data for the Sync4j Exchange Connector module
--
-- @author Fabio Maggi
-- @version $Id: init_schema.sql,v 1.8 2005/06/21 14:54:55 fabius Exp $
--

--
-- Source registration
--
delete from sync4j_sync_source_type where id='exc-ca-1.3';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-ca-1.3','Exchange Calendar SyncSource','sync4j.exchange.engine.source.ExchangeCalendarSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-co-1.3';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-co-1.3','Exchange Contact SyncSource','sync4j.exchange.engine.source.ExchangeContactSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-no-1.3';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-no-1.3','Exchange Note SyncSource','sync4j.exchange.engine.source.ExchangeNoteSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-ta-1.3';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-ta-1.3','Exchange Task SyncSource','sync4j.exchange.engine.source.ExchangeTaskSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');


delete from sync4j_module where id='exc-1.3';
insert into sync4j_module (id, name, description) values('exc-1.3','exchange-1.3','Sync4j Exchange Connector 1.3');

delete from sync4j_connector where id='exc-1.3';
insert into sync4j_connector(id, name, description, admin_class) values('exc-1.3','Sync4jExchangeConnector','Sync4j Exchange Connector','');

delete from sync4j_connector_source_type where connector='exc-1.3' and (sourcetype='exc-ca-1.3' or sourcetype='exc-co-1.3' or sourcetype='exc-no-1.3' or sourcetype='exc-ta-1.3' );
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.3','exc-ca-1.3');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.3','exc-co-1.3');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.3','exc-no-1.3');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.3','exc-ta-1.3');

delete from sync4j_module_connector where module='exc-1.3' and connector='exc-1.3';
insert into sync4j_module_connector(module, connector) values('exc-1.3','exc-1.3');